%define anolis_release 1

Name:           libgudev
Version:        237
Release:        %{anolis_release}%{?dist}
Summary:        GObject-based wrapper library for libudev

License:        LGPLv2+
URL:            https://wiki.gnome.org/Projects/libgudev
Source0:        https://download.gnome.org/sources/libgudev/%{version}/libgudev-%{version}.tar.xz

BuildRequires:  glib2-devel
BuildRequires:  gobject-introspection-devel
BuildRequires:  pkgconfig
BuildRequires:  libudev-devel
BuildRequires:  gtk-doc
BuildRequires:  meson
# For tests
BuildRequires:  umockdev-devel
BuildRequires:  glibc-langpack-fr

Provides:       libgudev1 = %{version}-%{release}

%description
This library makes it much simpler to use libudev from programs
already using GObject. It also makes it possible to easily use libudev
from other programming languages, such as Javascript, because of
GObject introspection support.

%package devel
Summary: Header files for %{name}
Requires: %{name}%{?_isa} = %{version}-%{release}
Provides: libgudev1-devel = %{version}-%{release}

%description devel
This package is necessary to build programs using %{name}.

%prep
%setup -q

%build
%meson -Dgtk_doc=true -Dtests=enabled -Dvapi=disabled
%meson_build

%install
%meson_install

%check
%meson_test

%files
%license COPYING
%doc NEWS
%{_libdir}/libgudev-1.0.so.*
%{_libdir}/girepository-1.0/GUdev-1.0.typelib

%files devel
%{_libdir}/libgudev-1.0.so
%{_includedir}/gudev-1.0/gudev/*.h
%{_datadir}/gir-1.0/GUdev-1.0.gir
%{_datadir}/gtk-doc/html/gudev/*
%{_libdir}/pkgconfig/gudev-1.0*

%changelog
* Wed Mar 09 2022 Su Lifan <su-lifan@linux.alibaba.com> - 237-1
- Initial packaging for Anolis OS 23
